using UnityEngine;

public class EnergyOrb : MonoBehaviour
{
    [Header("Orb Save Data")]
    public string ID;  // unique ID for each of this orb
    public bool Collected = false;

    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Player") && !Collected)
        {
            Collected = true;
            gameObject.SetActive(false);

            // Send the GameManager that its been collected
            GameManager.Instance.CollectOrb();
        }
    }
}
